# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support     1
%define section         free
%define api_version     1.0.1

Name:           bea-stax
Version:        1.2.0
Release:        %mkrel 1.3.1
Epoch:          0
Summary:        Streaming API for XML
License:        Apache License
Group:          Development/Java
URL:            http://dev2dev.bea.com/technologies/stax/index.jsp
Source0:        http://dist.codehaus.org/stax/distributions/stax-src-1.2.0.zip
Patch0:         %{name}-ecj-bootclasspath.patch
BuildRequires:  ant
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
BuildRequires:  java-devel >= 0:1.4.2
%endif
BuildRequires:  java-rpmbuild >= 0:1.6
Requires:       jpackage-utils >= 0:1.6
Requires:       %{name}-api = %{epoch}:%{version}-%{release}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Streaming API for XML (StAX) is a groundbreaking 
new Java API for parsing and writing XML easily and 
efficiently. 

%package api
Summary:        The StAX API
Group:          Development/Java
%description api
%{summary}

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
%{summary}

#%package manual
#Summary:        Documents for %{name}
#Group:          Development/Java

#%description manual
#%{summary}

#%package demo
#Summary:        Examples for %{name}
#Group:          Development/Java

#%description demo
#%{summary}

%prep
%setup -q -c
%patch0 -p0
%{__perl} -pi -e 's/source="1\.2" target="1\.2"/source="1.3" target="1.3"/g' build.xml
%{__perl} -pi -e 's/<javac/<javac nowarn="true"/g' build.xml

%build
export OPT_JAR_LIST=:
export CLASSPATH=`pwd`/build/stax-api-1.0.1.jar
%{ant} all javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 build/stax-api-%{api_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-api-%{version}.jar
install -p -m 0644 build/stax-%{version}-dev.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ri-%{version}.jar
ln -s %{name}-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-api.jar
ln -s %{name}-ri-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ri.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# demo
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
#cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# manual
#install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp docs/license/BEA*.doc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp README.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp jsr173_1.0.pdf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
#%{_docdir}/%{name}-%{version}/BEA*.doc
#%{_docdir}/%{name}-%{version}/README.txt
#%{_datadir}/%{name}-%{version}
%{_javadir}/%{name}-ri-%{version}.jar
%{_javadir}/%{name}-ri.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif

%files api
%defattr(-,root,root,-)
%{_javadir}/%{name}-api-%{version}.jar
%{_javadir}/%{name}-api.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

#%files manual
#%defattr(0644,root,root,0755)
#%{_docdir}/%{name}-%{version}/jsr173_1.0.pdf

#%files demo
#%defattr(0644,root,root,0755)
#%{_datadir}/%{name}-%{version}


%changelog
* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 1.2.0-1.3.1mdv2008.1
+ Revision: 120837
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Oct 13 2007 David Walluck <walluck@mandriva.org> 0:1.2.0-1.3.0mdv2008.1
+ Revision: 97875
- fix build
- rebuild to fix missing arch

  + Anssi Hannula <anssi@mandriva.org>
    - remove unnecessary Requires(post) on java-gcj-compat

* Sun Apr 22 2007 David Walluck <walluck@mandriva.org> 0:1.2.0-1.2mdv2008.0
+ Revision: 17119
- bump release
- BuildRequires: ant
- Import bea-stax



* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 0:1.2.0-1.1mdv2008.0
- 1.2.0

* Wed Jan 18 2006 Fernando Nasser <fnasser@redhat.com> 0:1.2.0-0.rc1.2jpp
- First JPP 1.7 build

* Wed Jan 18 2006 Deepak Bhole <dbhole@redhat.com> 0:1.2.0-0.rc1.1jpp
- Change source zip, and build the ri jars
- Use setup macro in prep
- First version all under APL
- New package name
- Demo still not yet available under the APL; will be in an update

* Tue Apr 26 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-2jpp_2rh
- First Red Hat build

* Wed Oct 20 2004 David Walluck <david@jpackage.org> 0:1.0-2jpp
- fix build

* Thu Sep 09 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-1jpp
- First JPackage build 
- Note: there is a stax project starting at codehaus
